using TMPro;
using UnityEngine;
using UnityEngine.Serialization;

namespace Grid {
    public class GridDebugObject : MonoBehaviour {
        [FormerlySerializedAs("GridText")] [SerializeField] private TextMeshPro gridText;
        private object GridObject { get; set; }

        protected virtual void Update() => gridText.text = GridObject.ToString();

        public virtual void SetGridObject(object gridObject) => GridObject = gridObject;
    }
}